StateVarRequest.c File Reference

UpnpStateVarRequest object implementation. More...

`#include "config.h"`
`#include "StateVarRequest.h"`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for StateVarRequest.c:

## Data Structures

struct | SUpnpStateVarRequest

## Functions

UpnpStateVarRequest * | UpnpStateVarRequest_new ()
void | UpnpStateVarRequest_delete (UpnpStateVarRequest *p)
UpnpStateVarRequest * | UpnpStateVarRequest_dup (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_assign (UpnpStateVarRequest *p, const UpnpStateVarRequest *q)
int | UpnpStateVarRequest_get_ErrCode (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_ErrCode (UpnpStateVarRequest *p, int n)
int | UpnpStateVarRequest_get_Socket (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_Socket (UpnpStateVarRequest *p, int n)
const UpnpString * | UpnpStateVarRequest_get_ErrStr (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_ErrStr_cstr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_ErrStr (UpnpStateVarRequest *p, const UpnpString *s)
void | UpnpStateVarRequest_strcpy_ErrStr (UpnpStateVarRequest *p, const char *s)
const UpnpString * | UpnpStateVarRequest_get_DevUDN (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_DevUDN_cstr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_DevUDN (UpnpStateVarRequest *p, const UpnpString *s)
const UpnpString * | UpnpStateVarRequest_get_ServiceID (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_ServiceID_cstr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_ServiceID (UpnpStateVarRequest *p, const UpnpString *s)
const UpnpString * | UpnpStateVarRequest_get_StateVarName (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_StateVarName_cstr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_StateVarName (UpnpStateVarRequest *p, const UpnpString *s)
void | UpnpStateVarRequest_strcpy_StateVarName (UpnpStateVarRequest *p, const char *s)
const struct sockaddr * | UpnpStateVarRequest_get_CtrlPtIPAddr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_CtrlPtIPAddr (UpnpStateVarRequest *p, const struct sockaddr *sa)
const DOMString | UpnpStateVarRequest_get_CurrentVal (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_CurrentVal_cstr (const UpnpStateVarRequest *p)
void | UpnpStateVarRequest_set_CurrentVal (UpnpStateVarRequest *p, const DOMString s)

## Detailed Description

UpnpStateVarRequest object implementation.

Author
  Marcelo Roberto Jimenez

## Function Documentation

void UpnpStateVarRequest_assign | ( | UpnpStateVarRequest * | p,
|  | const UpnpStateVarRequest * | q
| ) |  |

Assignment operator

References UpnpStateVarRequest_get_CtrlPtIPAddr(), UpnpStateVarRequest_get_CurrentVal(), UpnpStateVarRequest_get_DevUDN(), UpnpStateVarRequest_get_ErrCode(), UpnpStateVarRequest_get_ErrStr(), UpnpStateVarRequest_get_ServiceID(), UpnpStateVarRequest_get_Socket(), and UpnpStateVarRequest_get_StateVarName().

Referenced by UpnpStateVarRequest_dup().

void UpnpStateVarRequest_delete | ( | UpnpStateVarRequest * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

UpnpStateVarRequest* UpnpStateVarRequest_dup | ( | const UpnpStateVarRequest * | p | ) |

Copy Constructor

References UpnpStateVarRequest_assign(), and UpnpStateVarRequest_new().

const struct sockaddr* UpnpStateVarRequest_get_CtrlPtIPAddr | ( | const UpnpStateVarRequest * | p | ) |

IP address of sender requesting the state variable.

Referenced by UpnpStateVarRequest_assign().

const DOMString UpnpStateVarRequest_get_CurrentVal | ( | const UpnpStateVarRequest * | p | ) |

The current value of the variable. This needs to be allocated by the caller. When finished with it, the SDK frees this DOMString.

Referenced by UpnpStateVarRequest_assign().

const UpnpString* UpnpStateVarRequest_get_DevUDN | ( | const UpnpStateVarRequest * | p | ) |

The unique device ID

Referenced by UpnpStateVarRequest_assign().

int UpnpStateVarRequest_get_ErrCode | ( | const UpnpStateVarRequest * | p | ) |

The result of the operation

Referenced by UpnpStateVarRequest_assign().

const UpnpString* UpnpStateVarRequest_get_ErrStr | ( | const UpnpStateVarRequest * | p | ) |

The error string in case of error

Referenced by UpnpStateVarRequest_assign().

const UpnpString* UpnpStateVarRequest_get_ServiceID | ( | const UpnpStateVarRequest * | p | ) |

The service ID

Referenced by UpnpStateVarRequest_assign().

int UpnpStateVarRequest_get_Socket | ( | const UpnpStateVarRequest * | p | ) |

The socket number of the connection to the requestor

Referenced by UpnpStateVarRequest_assign().

const UpnpString* UpnpStateVarRequest_get_StateVarName | ( | const UpnpStateVarRequest * | p | ) |

The name of the variable.

Referenced by UpnpStateVarRequest_assign().

UpnpStateVarRequest* UpnpStateVarRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by UpnpStateVarRequest_dup().